<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 出品登録情報変更完了
 *
 * @package     Seller.Itemexhibit.Now.Complete2
 * @author      S.Oguma <shinichiro.oguma@netnee.jp>
 * @access      public
 */
class Seller_Itemexhibit_Now_Complete2
{
    var $auth;
    var $session;

    var $title;

    var $actionChain;

    var $list_check;
    var $list_check_serial;

    // 入力パラメータ
    var $cd;           // itemcd|structcd|stockcd|updcnt
    var $condition;
    var $itemexp;
    var $curnum;
    var $exhibitcount;
    var $sellingprice;
    var $souryouprc;   // 送料
    var $itemcd;
    var $structcd;
    var $stockcd;
    var $upduser;
    var $updcnt;

    var $results;

    // DB
    var $itemexhibit;
    var $data;
    var $cnt;
    
    // エラー処理
    var $errormsg;

	var $sort;
	var $pageID;
	var $listsize;

    /**
     * Actionの実行
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $func_name = "Seller_Itemexhibit_Now_Complete2#execute";
        $log->debug("Seller_Itemexhibit_Now_Complete2が実行されました", $func_name);

        // 出品登録情報変更
        $this->itemexhibit->update($this->condition,
                                   $this->itemexp,
                                   ($this->exhibitcount - $this->curnum),
                                   $this->sellingprice,
                                   $this->souryouprc,
                                   $this->itemcd,
                                   $this->structcd,
                                   $this->stockcd,
                                   $this->upduser,
                                   $this->updcnt);

        return 'success';
    }

	function setItemregist(&$newmember)
	{
   		 $this -> itemregist =& $newmember;
	}

    function getItemregist()
	{
    	return $this -> itemregist;
	}
    
    function setItemregist_serial($value)
    {
        $value = urldecode($value);
        $this -> itemregist_serial = $value;
        $this -> itemregist = unserialize($value);
    }

    function getItemregist_serial()
    {
        return urlencode(serialize($this -> itemregist));
    }

}
?>